--- title: "testConnectExternalHiveMetaStore" slug: "analytics-vhadoop-testconnectexternalhivemetastore" tags: ["Cloud Hadoop"] updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-vhadoop-testconnectexternalhivemetastore" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # testConnectExternalHiveMetaStore Available in VPC Check if Cloud DB for MySQL can be integrated with a Cloud Hadoop Hive metastore. Note When calling the testConnectExternalHiveMetaStore API, please note the following: - Only one account can be integrated per cluster in the form of a USER_ID + HOST (IP). - The cluster and MySQL must be in the same VPC, and only MySQL 8.0.x versions are supported. - DDL permission is required for the account integrated with the metastore. - [Preparations](https://guide.ncloud-docs.com/docs/en/hadoop-vpc-12#%EC%82%AC%EC%A0%84%EC%9E%91%EC%97%85) of adding an Cloud Hadoop ACG to the Cloud DB for MySQL ACG is required. - When testing the integration, a database in the form of hive_*_CHadoop is created. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vhadoop/v2/testConnectExternalHiveMetaStore | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-vhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `cloudHadoopInstanceNo` | String | Required | Cluster instance number - See [getCloudHadoopInstanceList](/docs/en/analytics-vhadoop-getcloudhadoopinstancelist). | | `cloudMysqlInstanceNo` | String | Required | Cloud DB for MySQL instance number - See [getCloudHadoopMysqlInstanceList](/docs/en/analytics-vhadoop-getcloudhadoopmysqlinstancelist). | | `cloudMysqlUserName` | String | Required | Database user ID - See [getCloudHadoopMysqlUserList](/docs/en/analytics-vhadoop-getcloudhadoopmysqluserlist). | | `cloudMysqlUserPassword` | String | Required | Database user account password - Enter 8 to 20 characters using a combination of English letters, numbers, and special characters. - Unusable special characters: ', ", `, &, +, /, , space | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vhadoop/v2/testConnectExternalHiveMetaStore ?regionCode=KR &cloudHadoopInstanceNo=2707**** &cloudMysqlInstanceNo=18***** &cloudMysqlUserName=test &cloudMysqlUserPassword=*********** &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `testConnectExternalHiveMetaStoreResponse` | Object | - | Response result | | `testConnectExternalHiveMetaStoreResponse.requestId` | String | - | ID for the request - UUID format | | `testConnectExternalHiveMetaStoreResponse.returnCode` | String | - | Response code | | `testConnectExternalHiveMetaStoreResponse.returnMessage` | String | - | Response message | ### Response status codes For response status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-vhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "testConnectExternalHiveMetaStoreResponse": { "requestId": "668a5ab5-****-****-****-625948079674", "returnCode": "0", "returnMessage": "success" } } ```